> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Resource Type

> Create a new resource type

## Request Body

<ParamField body="id" type="string">
  Optional client-provided ID. Format: `resource_type_{uuidv7}`
</ParamField>

<ParamField body="name" type="string" required>
  Display name for the resource type
</ParamField>

<ParamField body="key" type="string" required>
  Unique key for the resource type within the scope
</ParamField>

<ParamField body="scopeId" type="string" required>
  ID of the scope where this resource type is defined
</ParamField>

## Response

Returns the created resource type object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.example.com/resource-types' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "name": "Document",
      "key": "document",
      "scopeId": "scope_acme"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "resource_type_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
    "name": "Document",
    "key": "document",
    "scopeId": "scope_acme",
    "createdAt": "2024-01-15T10:30:00Z",
    "createdBy": "system"
  }
  ```
</ResponseExample>
